Subject: Re: [bug#32183] New ‘guix pull’/root/.config/current/bin/guix: Permission denied

From: Pjotr Prins <[email-masked]>
Date: Tue, 24 Jul 2018 00:28:55 +0200

Not completely sorted. Not sure what is going wrong but now starting
with guix 0.14 daemon and client and running guix pull a few times
successfully, running guix-daemon from $HOME/.config/guix/current/bin
and guix from a fresh git checkout using ./pre-inst-env guix I get

substitute: /gnu/store/x02v3j0h5q1d9bl3lwxavp8m9rpm3b7m-guix-daemon-0.15.0-2.8bbb79c/libexec/guix/substitute: line 8: /root/.config/guix/current/bin/guix: No such file or directory

which is funny for two reasons - 1st this is a guix-daemon that
appears to be older (it is the same) referring to a directory that
does not exist - guix pull is in my $HOME/.config.

Note that it still downloads binaries, but won't do the final
symlinks in the profile.

On this machine I am stuck because whatever I do I get this error.
Only rolling back to 0.14 allows me to install software again
including guix. But then it stops in its tracks with above.

Pj.